package com.memorynotfound.jsf;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

@ManagedBean
@RequestScoped
public class CourseBean {

    public String showMessages(){

        // adding 2 info messages to show you the grouping function
        FacesMessage infoMessage = new FacesMessage(FacesMessage.SEVERITY_INFO, "Info summary",
                "This tutorial shows you how to produce bootstrap styled closable and with glyphicon icon " +
                "enhanced JSF info, warning, error and fatal messages.");
        FacesContext.getCurrentInstance().addMessage("", infoMessage);
        FacesContext.getCurrentInstance().addMessage("", infoMessage);

        // adding warning message
        FacesMessage warningMessage = new FacesMessage(FacesMessage.SEVERITY_WARN, "Warning summary", "Warning detail");
        FacesContext.getCurrentInstance().addMessage("", warningMessage);

        // adding error message
        FacesMessage errorMessage = new FacesMessage(FacesMessage.SEVERITY_ERROR, "Error summary", "Error detail");
        FacesContext.getCurrentInstance().addMessage("", errorMessage);

        // adding fatal message
        FacesMessage fatalMessage = new FacesMessage(FacesMessage.SEVERITY_FATAL, "Fatal summary", "Fatal detail");
        FacesContext.getCurrentInstance().addMessage("", fatalMessage);
        return null;
    }

}
